Get Quote Details

Request retrieves the full details of a specific quote based on the provided `quote_id`. This endpoint provides more detailed information about a specific quote than [Get All Quotes](#get-all-quotes). This includes details on line items, shipping address fields, and even a history of messages sent by the buyer and their sales representative. Equivalent Storefront GraphQL API Query: `quote`.

Authentication

AuthorizationBearer
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| |`Authorization`|`Bearer {{B2B_JWT_TOKEN}}`| You can obtain this token using the steps described in the [REST Storefront API](/developer/docs/b2b-edition/getting-started/authentication#rest-storefront-api) section[...]

Path parameters

quote_idstringRequired

Query parameters

storeHashstringRequired
The unique alphanumeric store hash for the BigCommerce store.
dateintegerRequired
The [Unix timestamp](https://www.unixtimestamp.com/) for when the sales quote was created.

Response

OK
codeintegerDefaults to 200
HTTP Response Code
dataobject
messagestringDefaults to SUCCESS

Errors

404
Not Found Error